Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.encoding.soapenc
Class SoapEncUtils

`java.lang.Object
org.apache.soap.encoding.soapenc.SoapEncUtils`

public class SoapEncUtils
extends java.lang.Object

These static methods can be used to do much of the repetitive and mechanical work that is required when generating structures using the `SOAP-ENC` encoding style.

Constructor Summary
`SoapEncUtils()`

Method Summary
`static boolean` | `decodeBooleanValue(java.lang.String value)`
`static void` | `generateArrayHeader(java.lang.String inScopeEncStyle, java.lang.Class javaType, java.lang.Object context, java.io.Writer sink, NSStack nsStack, XMLJavaMappingRegistry xjmr, QName arrayElementType, java.lang.String arrayLengthStr)`
`static void` | `generateNullArray(java.lang.String inScopeEncStyle, java.lang.Class javaType, java.lang.Object context, java.io.Writer sink, NSStack nsStack, XMLJavaMappingRegistry xjmr, QName arrayElementType, java.lang.String arrayLengthStr)`
`static void` | `generateNullStructure(java.lang.String inScopeEncStyle, java.lang.Class javaType, java.lang.Object context, java.io.Writer sink, NSStack nsStack, XMLJavaMappingRegistry xjmr)`
`static void` | `generateStructureHeader(java.lang.String inScopeEncStyle, java.lang.Class javaType, java.lang.Object context, java.io.Writer sink, NSStack nsStack, XMLJavaMappingRegistry xjmr)`
`static void` | `generateStructureHeader(java.lang.String inScopeEncStyle, QName elementType, java.lang.Object context, java.io.Writer sink, NSStack nsStack, XMLJavaMappingRegistry xjmr, QName arrayElementType, java.lang.String arrayLengthStr, boolean isNull)`
`static QName` | `getAttributeValue(Element el, java.lang.String attrNameNamespaceURI, java.lang.String attrNameLocalPart, java.lang.String elDesc, boolean isRequired)`
`static QName` | `getTypeQName(Element el)` Get the value of the xsi:type attribute, for varying values of the xsi namespace.
`static boolean` | `isNull(Element element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapEncUtils

    public SoapEncUtils()

Method Detail

### generateNullStructure

    public static void generateNullStructure(java.lang.String inScopeEncStyle,
                                             java.lang.Class javaType,
                                             java.lang.Object context,
                                             java.io.Writer sink,
                                             NSStack nsStack,
                                             XMLJavaMappingRegistry xjmr)
                                      throws java.lang.IllegalArgumentException,
                                             java.io.IOException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### generateNullArray

    public static void generateNullArray(java.lang.String inScopeEncStyle,
                                         java.lang.Class javaType,
                                         java.lang.Object context,
                                         java.io.Writer sink,
                                         NSStack nsStack,
                                         XMLJavaMappingRegistry xjmr,
                                         QName arrayElementType,
                                         java.lang.String arrayLengthStr)
                                  throws java.lang.IllegalArgumentException,
                                         java.io.IOException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### generateArrayHeader

    public static void generateArrayHeader(java.lang.String inScopeEncStyle,
                                           java.lang.Class javaType,
                                           java.lang.Object context,
                                           java.io.Writer sink,
                                           NSStack nsStack,
                                           XMLJavaMappingRegistry xjmr,
                                           QName arrayElementType,
                                           java.lang.String arrayLengthStr)
                                    throws java.lang.IllegalArgumentException,
                                           java.io.IOException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### generateStructureHeader

    public static void generateStructureHeader(java.lang.String inScopeEncStyle,
                                               java.lang.Class javaType,
                                               java.lang.Object context,
                                               java.io.Writer sink,
                                               NSStack nsStack,
                                               XMLJavaMappingRegistry xjmr)
                                        throws java.lang.IllegalArgumentException,
                                               java.io.IOException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### generateStructureHeader

    public static void generateStructureHeader(java.lang.String inScopeEncStyle,
                                               QName elementType,
                                               java.lang.Object context,
                                               java.io.Writer sink,
                                               NSStack nsStack,
                                               XMLJavaMappingRegistry xjmr,
                                               QName arrayElementType,
                                               java.lang.String arrayLengthStr,
                                               boolean isNull)
                                        throws java.lang.IllegalArgumentException,
                                               java.io.IOException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### isNull

    public static boolean isNull(Element element)

### decodeBooleanValue

    public static boolean decodeBooleanValue(java.lang.String value)

### getAttributeValue

    public static QName getAttributeValue(Element el,
                                          java.lang.String attrNameNamespaceURI,
                                          java.lang.String attrNameLocalPart,
                                          java.lang.String elDesc,
                                          boolean isRequired)
                                   throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getTypeQName

    public static QName getTypeQName(Element el)
                              throws java.lang.IllegalArgumentException

  Get the value of the xsi:type attribute, for varying values of the xsi namespace. In the absence of an xsi:type attribute, determine whether the element QName implies a type, e.g. if it has the SOAP-ENC namespaceURI. For now, this is limited to checking for SOAP-ENC:Array.
  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.